Arch Linux

Please read this before reporting a bug:

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!

FS#23958 - imagemagick libwmf runtime dependency

Attached to Project: Arch Linux
Opened by Konstantinos Smanis (ksmanis) - Wednesday, 27 April 2011, 09:57 GMT
Last edited by Andrea Scarpino (BaSh) - Wednesday, 27 April 2011, 11:34 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To No-one
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No


libwmf should be a runtime dependency of imagemagick.

Additional info:

Steps to reproduce:
Trying to run the code presented here: without libwmf crashes the application with an exception:

terminate called after throwing an instance of 'Magick::ErrorModule'
what(): Magick: unable to load module `/usr/lib/ImageMagick-6.6.9/modules-Q16/coders/': file not found @ error/module.c/OpenModule/1276

With libwmf it runs just fine.
This task depends upon

Closed by  Andrea Scarpino (BaSh)
Wednesday, 27 April 2011, 11:34 GMT
Reason for closing:  Not a bug
Additional comments about closing:  please read pacman output
Comment by Greg (dolby) - Wednesday, 27 April 2011, 11:24 GMT
Libwmf is an optional dependency
see output of pacman -Qi imagemagick
Optional Deps: libwmf: for WMF support